<template>
  <!-- 巡查评估 -->
  <div class="inspect-evaluate">
    <query-condition />
    <row-table :geologicalInfo="geologicalInfo" />
  </div>
</template>

<script>
import { defineComponent, reactive, toRefs, onMounted, ref, watch, getCurrentInstance } from 'vue';
import moment from 'moment';
import QueryCondition from './QueryCondition.vue';
import RowTable from './RowTable.vue';
const props = {
  /**
   * 地灾信息
   * */
  geologicalInfo: { type: Object, require: true },
};
export default defineComponent({
  name: 'InspectEvaluate',
  components: { QueryCondition, RowTable },
  props: [],
  setup() {
    const data = reactive({
      geologicalInfo: props.geologicalInfo,
    });
    watch(
      () => props.geologicalInfo,
      (value) => {
        data.geologicalInfo = value;
      }
    );
    onMounted(() => {});
    return {
      ...toRefs(data),
    };
  },
});
</script>
<style lang="less" scoped>
.inspect-evaluate {
  position: relative;
  height: 100%;
  width: 100%;
  padding: 10px;
  overflow: auto;
}
</style>
